Subject: Re: bug#61460: 30.0.50; Calendar shows eclipse for quarter moon

From: Michael Heerdegen <[email-masked]>
Date: Tue, 14 Feb 2023 11:56:58 +0100

Ulrich Müller <[email-masked]> writes:

> Next round: The following simplifies the calculation and IMHO makes it
> much easier to understand. Results are identical, and tests pass.

Yes, thanks.  I want to suggest to get rid of the successive rebinding
to the variable `moon-lat' and use a different name (`node-distance'
maybe?) since that calculation is not just a simple conversion of units.

> Alternatively, we could leave the result in degrees (as all other
> calculations in lunar.el are in degrees) and change the values in the
> final cond to 13.9 and 21.2 degrees. This would also get rid of the
> excessive number of digits.

Good idea.  The conversion to radians is a bit artificial and not really
useful, just harder to read.

Michael.